# Development::Toolbox

Set of tools every Ruby developer needs to provide quality Ruby code.

## Installation

* _For existing code:_
    1. Declare a dependency:
        * _developing a gem:_
            1.  Add this line to your gemspec:
                `spec.add_development_dependency 'development-toolbox'`
        * _developing an app:_
            1. Add this line to your application's Gemfile:
               `gem 'development-toolbox', group: %i[development test]`
    1. And then execute: `bundle` to install required dependencies.
*   _Or install it yourself if you have no code yet:_
    1. Execute `gem install development-toolbox`

## Usage in [Gem] development

Add following to your `Rakefile`:

```ruby
require 'development/tasks'
Development::Tasks.install

# Ensure tests passing and documentation generating before release
task release: %i[test doc]
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bin/rake install`. To release a new version, update the version number in `lib/development/toolbox/version.rb`, and then run `bin/rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://gitlab.com/alsemyonov/development-toolbox. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

© Alex Semyonov, 2017, [MIT License](http://opensource.org/licenses/MIT)

[Gem]: http://guides.rubygems.org/make-your-own-gem/ "Make your own gem - RubyGems Guides" 
