# coding: utf-8
# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'development/toolbox/version'

Gem::Specification.new do |spec|
  spec.name = 'development-toolbox'
  spec.version = Development::Toolbox::VERSION
  spec.authors = ['Alex Semyonov']
  spec.email = ['alex@semyonov.us']

  spec.summary = 'Development toolbox for a Ruby programmer'
  spec.description = 'Efficient Developer tools'
  spec.homepage = 'https://alsemyonov.gitlab.com/development-toolbox/'
  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'bundler', '~> 1.13'
  spec.add_runtime_dependency 'bundler-audit', '~> 0.5'
  spec.add_runtime_dependency 'rake', '~> 12.0'
  spec.add_runtime_dependency 'rspec', '~> 3.5'
  spec.add_runtime_dependency 'rspec-its', '~> 1.2'
  spec.add_runtime_dependency 'rubocop', '~> 0.48'
  spec.add_runtime_dependency 'yard-commonmarker', '~> 0.3'

  spec.add_development_dependency 'pry-byebug'
  spec.add_development_dependency 'rspec-its'
end
